- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Utils::Exceptions::ArrayIndexOutOfBoundsException Class Reference

`#include <ArrayIndexOutOfBoundsException.h>`

Inheritance diagram for Mers::Utils::Exceptions::ArrayIndexOutOfBoundsException:

[legend]
Collaboration diagram for Mers::Utils::Exceptions::ArrayIndexOutOfBoundsException:

[legend]
List of all members.

## Public Member Functions
| ArrayIndexOutOfBoundsException (unsigned int lowerBound, unsigned int upperBound, unsigned int index, char const *fileName=NULL, unsigned int lineNumber=0) throw ()
virtual | ~ArrayIndexOutOfBoundsException () throw ()

## Detailed Description

This class, when thrown, indicates that an array was accessed by an index that was outside of the array's bounds.

Author:
  Paul H. Elliott

Definition at line 33 of file ArrayIndexOutOfBoundsException.h.

## Constructor & Destructor Documentation

ArrayIndexOutOfBoundsException::ArrayIndexOutOfBoundsException | ( | unsigned int | lowerBound,
|  | unsigned int | upperBound,
|  | unsigned int | index,
|  | char const * | fileName = `NULL`,
|  | unsigned int | lineNumber = `0` |
| ) |  |  | throw ()

Creates a new array out of bounds exception.

Parameters:

  | lowerBound | The lower bound of the range (inclusive).
  | upperBound | The upper bound of the range (inclusive).
  | index | The requested index that was out of bounds.
  | fileName | The name of the file where this exception was thrown.
  | lineNumber | The line in the file on which the exception was thrown.

Definition at line 24 of file ArrayIndexOutOfBoundsException.cpp.

ArrayIndexOutOfBoundsException::~ArrayIndexOutOfBoundsException | ( |  | ) | throw ()`[virtual]`

Destroys this object.

Definition at line 57 of file ArrayIndexOutOfBoundsException.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Utils/Exceptions/ArrayIndexOutOfBoundsException.h
- /Users/fpy/titan-1-5-MBARI/Mers/Utils/Exceptions/ArrayIndexOutOfBoundsException.cpp